@octokit/openapi 14.1.0 → 15.0.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
@@ -1,7 +1,7 @@
1
1
  {
2
2
  "openapi": "3.0.3",
3
3
  "info": {
4
- "version": "14.1.0",
4
+ "version": "15.0.0",
5
5
  "title": "GitHub's official OpenAPI spec + Octokit extension",
6
6
  "description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
7
7
  "license": {
@@ -236,7 +236,8 @@
236
236
  },
237
237
  "hub_url": {
238
238
  "type": "string",
239
- "format": "uri-template"
239
+ "format": "uri-template",
240
+ "deprecated": true
240
241
  },
241
242
  "issue_search_url": {
242
243
  "type": "string",
@@ -332,7 +333,6 @@
332
333
  "followers_url",
333
334
  "following_url",
334
335
  "gists_url",
335
- "hub_url",
336
336
  "issue_search_url",
337
337
  "issues_url",
338
338
  "keys_url",
@@ -36000,7 +36000,6 @@
36000
36000
  "default": {
36001
36001
  "value": {
36002
36002
  "advanced_security_enabled_for_new_repositories": true,
36003
- "advanced_security_enabled_new_user_namespace_repos": true,
36004
36003
  "dependabot_alerts_enabled_for_new_repositories": true,
36005
36004
  "secret_scanning_enabled_for_new_repositories": true,
36006
36005
  "secret_scanning_push_protection_enabled_for_new_repositories": true,
@@ -85698,7 +85697,7 @@
85698
85697
  "/orgs/{org}/hooks": {
85699
85698
  "get": {
85700
85699
  "summary": "List organization webhooks",
85701
- "description": "",
85700
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
85702
85701
  "tags": [
85703
85702
  "orgs"
85704
85703
  ],
@@ -85907,7 +85906,7 @@
85907
85906
  },
85908
85907
  "post": {
85909
85908
  "summary": "Create an organization webhook",
85910
- "description": "Here's how you can create a hook that posts payloads in JSON format:",
85909
+ "description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
85911
85910
  "tags": [
85912
85911
  "orgs"
85913
85912
  ],
@@ -86260,7 +86259,7 @@
86260
86259
  "/orgs/{org}/hooks/{hook_id}": {
86261
86260
  "get": {
86262
86261
  "summary": "Get an organization webhook",
86263
- "description": "Returns a webhook configured in an organization. To get only the webhook `config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization).\"",
86262
+ "description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
86264
86263
  "tags": [
86265
86264
  "orgs"
86266
86265
  ],
@@ -86447,7 +86446,7 @@
86447
86446
  },
86448
86447
  "patch": {
86449
86448
  "summary": "Update an organization webhook",
86450
- "description": "Updates a webhook configured in an organization. When you update a webhook, the `secret` will be overwritten. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use \"[Update a webhook configuration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization).\"",
86449
+ "description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
86451
86450
  "tags": [
86452
86451
  "orgs"
86453
86452
  ],
@@ -86780,7 +86779,7 @@
86780
86779
  },
86781
86780
  "delete": {
86782
86781
  "summary": "Delete an organization webhook",
86783
- "description": "",
86782
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
86784
86783
  "tags": [
86785
86784
  "orgs"
86786
86785
  ],
@@ -86852,7 +86851,7 @@
86852
86851
  "/orgs/{org}/hooks/{hook_id}/config": {
86853
86852
  "get": {
86854
86853
  "summary": "Get a webhook configuration for an organization",
86855
- "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
86854
+ "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
86856
86855
  "tags": [
86857
86856
  "orgs"
86858
86857
  ],
@@ -86945,7 +86944,7 @@
86945
86944
  },
86946
86945
  "patch": {
86947
86946
  "summary": "Update a webhook configuration for an organization",
86948
- "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
86947
+ "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
86949
86948
  "tags": [
86950
86949
  "orgs"
86951
86950
  ],
@@ -87091,7 +87090,7 @@
87091
87090
  "/orgs/{org}/hooks/{hook_id}/deliveries": {
87092
87091
  "get": {
87093
87092
  "summary": "List deliveries for an organization webhook",
87094
- "description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
87093
+ "description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
87095
87094
  "tags": [
87096
87095
  "orgs"
87097
87096
  ],
@@ -87410,7 +87409,7 @@
87410
87409
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
87411
87410
  "get": {
87412
87411
  "summary": "Get a webhook delivery for an organization webhook",
87413
- "description": "Returns a delivery for a webhook configured in an organization.",
87412
+ "description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
87414
87413
  "tags": [
87415
87414
  "orgs"
87416
87415
  ],
@@ -87772,7 +87771,7 @@
87772
87771
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
87773
87772
  "post": {
87774
87773
  "summary": "Redeliver a delivery for an organization webhook",
87775
- "description": "Redeliver a delivery for a webhook configured in an organization.",
87774
+ "description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
87776
87775
  "tags": [
87777
87776
  "orgs"
87778
87777
  ],
@@ -87967,7 +87966,7 @@
87967
87966
  "/orgs/{org}/hooks/{hook_id}/pings": {
87968
87967
  "post": {
87969
87968
  "summary": "Ping an organization webhook",
87970
- "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.10/webhooks/#ping-event) to be sent to the hook.",
87969
+ "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.10/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
87971
87970
  "tags": [
87972
87971
  "orgs"
87973
87972
  ],
@@ -145348,7 +145347,7 @@
145348
145347
  "/repos/{owner}/{repo}/actions/runs": {
145349
145348
  "get": {
145350
145349
  "summary": "List workflow runs for a repository",
145351
- "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.10/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.",
145350
+ "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.10/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
145352
145351
  "tags": [
145353
145352
  "actions"
145354
145353
  ],
@@ -221143,6 +221142,32 @@
221143
221142
  "204": {
221144
221143
  "description": "Response"
221145
221144
  },
221145
+ "404": {
221146
+ "description": "Resource not found",
221147
+ "content": {
221148
+ "application/json": {
221149
+ "schema": {
221150
+ "title": "Basic Error",
221151
+ "description": "Basic Error",
221152
+ "type": "object",
221153
+ "properties": {
221154
+ "message": {
221155
+ "type": "string"
221156
+ },
221157
+ "documentation_url": {
221158
+ "type": "string"
221159
+ },
221160
+ "url": {
221161
+ "type": "string"
221162
+ },
221163
+ "status": {
221164
+ "type": "string"
221165
+ }
221166
+ }
221167
+ }
221168
+ }
221169
+ }
221170
+ },
221146
221171
  "422": {
221147
221172
  "description": "Validation failed, or the endpoint has been spammed.",
221148
221173
  "content": {
@@ -313092,6 +313117,32 @@
313092
313117
  }
313093
313118
  }
313094
313119
  },
313120
+ "406": {
313121
+ "description": "Unacceptable",
313122
+ "content": {
313123
+ "application/json": {
313124
+ "schema": {
313125
+ "title": "Basic Error",
313126
+ "description": "Basic Error",
313127
+ "type": "object",
313128
+ "properties": {
313129
+ "message": {
313130
+ "type": "string"
313131
+ },
313132
+ "documentation_url": {
313133
+ "type": "string"
313134
+ },
313135
+ "url": {
313136
+ "type": "string"
313137
+ },
313138
+ "status": {
313139
+ "type": "string"
313140
+ }
313141
+ }
313142
+ }
313143
+ }
313144
+ }
313145
+ },
313095
313146
  "500": {
313096
313147
  "description": "Internal Error",
313097
313148
  "content": {
@@ -341314,6 +341365,20 @@
341314
341365
  "commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
341315
341366
  }
341316
341367
  },
341368
+ {
341369
+ "type": "wiki_commit",
341370
+ "details": {
341371
+ "path": "/example/Home.md",
341372
+ "start_line": 1,
341373
+ "end_line": 1,
341374
+ "start_column": 1,
341375
+ "end_column": 64,
341376
+ "blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
341377
+ "page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
341378
+ "commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
341379
+ "commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
341380
+ }
341381
+ },
341317
341382
  {
341318
341383
  "type": "issue_title",
341319
341384
  "details": {
@@ -874993,8 +875058,7 @@
874993
875058
  },
874994
875059
  "repository-dispatch-sample.collected": {
874995
875060
  "post": {
874996
- "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.10/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
874997
- "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
875061
+ "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.10/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
874998
875062
  "operationId": "repository-dispatch/sample.collected",
874999
875063
  "externalDocs": {
875000
875064
  "url": "https://docs.github.com/enterprise-server@3.10/webhooks/webhook-events-and-payloads#repository_dispatch"
@@ -875083,9 +875147,7 @@
875083
875147
  "properties": {
875084
875148
  "action": {
875085
875149
  "type": "string",
875086
- "enum": [
875087
- "sample.collected"
875088
- ]
875150
+ "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
875089
875151
  },
875090
875152
  "branch": {
875091
875153
  "type": "string"
@@ -875093,7 +875155,8 @@
875093
875155
  "client_payload": {
875094
875156
  "type": "object",
875095
875157
  "nullable": true,
875096
- "additionalProperties": true
875158
+ "additionalProperties": true,
875159
+ "description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
875097
875160
  },
875098
875161
  "enterprise": {
875099
875162
  "title": "Enterprise",
@@ -1,7 +1,7 @@
1
1
  {
2
2
  "openapi": "3.0.3",
3
3
  "info": {
4
- "version": "14.1.0",
4
+ "version": "15.0.0",
5
5
  "title": "GitHub's official OpenAPI spec + Octokit extension",
6
6
  "description": "OpenAPI specs from https://github.com/github/rest-api-description with the 'x-octokit' extension required by the Octokit SDKs",
7
7
  "license": {
@@ -8127,7 +8127,6 @@
8127
8127
  "default": {
8128
8128
  "value": {
8129
8129
  "advanced_security_enabled_for_new_repositories": true,
8130
- "advanced_security_enabled_new_user_namespace_repos": true,
8131
8130
  "dependabot_alerts_enabled_for_new_repositories": true,
8132
8131
  "secret_scanning_enabled_for_new_repositories": true,
8133
8132
  "secret_scanning_push_protection_enabled_for_new_repositories": true,
@@ -16357,7 +16356,7 @@
16357
16356
  "/orgs/{org}/hooks": {
16358
16357
  "get": {
16359
16358
  "summary": "List organization webhooks",
16360
- "description": "",
16359
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16361
16360
  "tags": [
16362
16361
  "orgs"
16363
16362
  ],
@@ -16415,7 +16414,7 @@
16415
16414
  },
16416
16415
  "post": {
16417
16416
  "summary": "Create an organization webhook",
16418
- "description": "Here's how you can create a hook that posts payloads in JSON format:",
16417
+ "description": "Create a hook that posts payloads in JSON format.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or \nedit webhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16419
16418
  "tags": [
16420
16419
  "orgs"
16421
16420
  ],
@@ -16552,7 +16551,7 @@
16552
16551
  "/orgs/{org}/hooks/{hook_id}": {
16553
16552
  "get": {
16554
16553
  "summary": "Get an organization webhook",
16555
- "description": "Returns a webhook configured in an organization. To get only the webhook `config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization).\"",
16554
+ "description": "Returns a webhook configured in an organization. To get only the webhook\n`config` properties, see \"[Get a webhook configuration for an organization](/rest/orgs/webhooks#get-a-webhook-configuration-for-an-organization). \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16556
16555
  "tags": [
16557
16556
  "orgs"
16558
16557
  ],
@@ -16599,7 +16598,7 @@
16599
16598
  },
16600
16599
  "patch": {
16601
16600
  "summary": "Update an organization webhook",
16602
- "description": "Updates a webhook configured in an organization. When you update a webhook, the `secret` will be overwritten. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use \"[Update a webhook configuration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization).\"",
16601
+ "description": "Updates a webhook configured in an organization. When you update a webhook,\nthe `secret` will be overwritten. If you previously had a `secret` set, you must\nprovide the same `secret` or set a new `secret` or the secret will be removed. If\nyou are only updating individual webhook `config` properties, use \"[Update a webhook\nconfiguration for an organization](/rest/orgs/webhooks#update-a-webhook-configuration-for-an-organization)\". \n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16603
16602
  "tags": [
16604
16603
  "orgs"
16605
16604
  ],
@@ -16711,7 +16710,7 @@
16711
16710
  },
16712
16711
  "delete": {
16713
16712
  "summary": "Delete an organization webhook",
16714
- "description": "",
16713
+ "description": "You must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16715
16714
  "tags": [
16716
16715
  "orgs"
16717
16716
  ],
@@ -16748,7 +16747,7 @@
16748
16747
  "/orgs/{org}/hooks/{hook_id}/config": {
16749
16748
  "get": {
16750
16749
  "summary": "Get a webhook configuration for an organization",
16751
- "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
16750
+ "description": "Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use \"[Get an organization webhook ](/rest/orgs/webhooks#get-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16752
16751
  "tags": [
16753
16752
  "orgs"
16754
16753
  ],
@@ -16792,7 +16791,7 @@
16792
16791
  },
16793
16792
  "patch": {
16794
16793
  "summary": "Update a webhook configuration for an organization",
16795
- "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nOAuth app tokens and personal access tokens (classic) need the `admin:org_hook` scope to use this endpoint.",
16794
+ "description": "Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use \"[Update an organization webhook ](/rest/orgs/webhooks#update-an-organization-webhook).\"\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16796
16795
  "tags": [
16797
16796
  "orgs"
16798
16797
  ],
@@ -16873,7 +16872,7 @@
16873
16872
  "/orgs/{org}/hooks/{hook_id}/deliveries": {
16874
16873
  "get": {
16875
16874
  "summary": "List deliveries for an organization webhook",
16876
- "description": "Returns a list of webhook deliveries for a webhook configured in an organization.",
16875
+ "description": "Returns a list of webhook deliveries for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16877
16876
  "tags": [
16878
16877
  "orgs"
16879
16878
  ],
@@ -16942,7 +16941,7 @@
16942
16941
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}": {
16943
16942
  "get": {
16944
16943
  "summary": "Get a webhook delivery for an organization webhook",
16945
- "description": "Returns a delivery for a webhook configured in an organization.",
16944
+ "description": "Returns a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
16946
16945
  "tags": [
16947
16946
  "orgs"
16948
16947
  ],
@@ -16997,7 +16996,7 @@
16997
16996
  "/orgs/{org}/hooks/{hook_id}/deliveries/{delivery_id}/attempts": {
16998
16997
  "post": {
16999
16998
  "summary": "Redeliver a delivery for an organization webhook",
17000
- "description": "Redeliver a delivery for a webhook configured in an organization.",
16999
+ "description": "Redeliver a delivery for a webhook configured in an organization.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
17001
17000
  "tags": [
17002
17001
  "orgs"
17003
17002
  ],
@@ -17040,7 +17039,7 @@
17040
17039
  "/orgs/{org}/hooks/{hook_id}/pings": {
17041
17040
  "post": {
17042
17041
  "summary": "Ping an organization webhook",
17043
- "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.10/webhooks/#ping-event) to be sent to the hook.",
17042
+ "description": "This will trigger a [ping event](https://docs.github.com/enterprise-server@3.10/webhooks/#ping-event)\nto be sent to the hook.\n\nYou must be an organization owner to use this endpoint. \n\nOAuth app tokens and personal access tokens (classic) need `admin:org_hook` scope. OAuth apps cannot list, view, or edit \nwebhooks that they did not create and users cannot list, view, or edit webhooks that were created by OAuth apps.",
17044
17043
  "tags": [
17045
17044
  "orgs"
17046
17045
  ],
@@ -27057,7 +27056,7 @@
27057
27056
  "/repos/{owner}/{repo}/actions/runs": {
27058
27057
  "get": {
27059
27058
  "summary": "List workflow runs for a repository",
27060
- "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.10/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.",
27059
+ "description": "Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/enterprise-server@3.10/rest/guides/getting-started-with-the-rest-api#parameters).\n\nAnyone with read access to the repository can use this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint with a private repository.\n\nThis API will return up to 1,000 results for each search when using the following parameters: `actor`, `branch`, `check_suite_id`, `created`, `event`, `head_sha`, `status`.",
27061
27060
  "tags": [
27062
27061
  "actions"
27063
27062
  ],
@@ -38025,6 +38024,9 @@
38025
38024
  "204": {
38026
38025
  "description": "Response"
38027
38026
  },
38027
+ "404": {
38028
+ "$ref": "#/components/responses/not_found"
38029
+ },
38028
38030
  "422": {
38029
38031
  "$ref": "#/components/responses/validation_failed"
38030
38032
  }
@@ -47707,6 +47709,9 @@
47707
47709
  "404": {
47708
47710
  "$ref": "#/components/responses/not_found"
47709
47711
  },
47712
+ "406": {
47713
+ "$ref": "#/components/responses/unacceptable"
47714
+ },
47710
47715
  "500": {
47711
47716
  "$ref": "#/components/responses/internal_error"
47712
47717
  },
@@ -83110,8 +83115,7 @@
83110
83115
  },
83111
83116
  "repository-dispatch-sample.collected": {
83112
83117
  "post": {
83113
- "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.10/rest/repos/repos#create-a-repository-dispatch-event).\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
83114
- "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.",
83118
+ "summary": "This event occurs when a GitHub App sends a `POST` request to `/repos/{owner}/{repo}/dispatches`. For more information, see [the REST API documentation for creating a repository dispatch event](https://docs.github.com/enterprise-server@3.10/rest/repos/repos#create-a-repository-dispatch-event). In the payload, the `action` will be the `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body.\n\nTo subscribe to this event, a GitHub App must have at least read-level access for the \"Contents\" repository permission.",
83115
83119
  "operationId": "repository-dispatch/sample.collected",
83116
83120
  "externalDocs": {
83117
83121
  "url": "https://docs.github.com/enterprise-server@3.10/webhooks/webhook-events-and-payloads#repository_dispatch"
@@ -88173,7 +88177,8 @@
88173
88177
  },
88174
88178
  "hub_url": {
88175
88179
  "type": "string",
88176
- "format": "uri-template"
88180
+ "format": "uri-template",
88181
+ "deprecated": true
88177
88182
  },
88178
88183
  "issue_search_url": {
88179
88184
  "type": "string",
@@ -88269,7 +88274,6 @@
88269
88274
  "followers_url",
88270
88275
  "following_url",
88271
88276
  "gists_url",
88272
- "hub_url",
88273
88277
  "issue_search_url",
88274
88278
  "issues_url",
88275
88279
  "keys_url",
@@ -252339,9 +252343,7 @@
252339
252343
  "properties": {
252340
252344
  "action": {
252341
252345
  "type": "string",
252342
- "enum": [
252343
- "sample.collected"
252344
- ]
252346
+ "description": "The `event_type` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
252345
252347
  },
252346
252348
  "branch": {
252347
252349
  "type": "string"
@@ -252349,7 +252351,8 @@
252349
252351
  "client_payload": {
252350
252352
  "type": "object",
252351
252353
  "nullable": true,
252352
- "additionalProperties": true
252354
+ "additionalProperties": true,
252355
+ "description": "The `client_payload` that was specified in the `POST /repos/{owner}/{repo}/dispatches` request body."
252353
252356
  },
252354
252357
  "enterprise": {
252355
252358
  "$ref": "#/components/schemas/enterprise-webhooks"
@@ -289178,6 +289181,20 @@
289178
289181
  "commit_url": "https://api.github.com/repos/octocat/hello-world/git/commits/f14d7debf9775f957cf4f1e8176da0786431f72b"
289179
289182
  }
289180
289183
  },
289184
+ {
289185
+ "type": "wiki_commit",
289186
+ "details": {
289187
+ "path": "/example/Home.md",
289188
+ "start_line": 1,
289189
+ "end_line": 1,
289190
+ "start_column": 1,
289191
+ "end_column": 64,
289192
+ "blob_sha": "af5626b4a114abcb82d63db7c8082c3c4756e51b",
289193
+ "page_url": "https://github.com/octocat/Hello-World/wiki/Home/302c0b7e200761c9dd9b57e57db540ee0b4293a5",
289194
+ "commit_sha": "302c0b7e200761c9dd9b57e57db540ee0b4293a5",
289195
+ "commit_url": "https://github.com/octocat/Hello-World/wiki/_compare/302c0b7e200761c9dd9b57e57db540ee0b4293a5"
289196
+ }
289197
+ },
289181
289198
  {
289182
289199
  "type": "issue_title",
289183
289200
  "details": {
@@ -296546,6 +296563,16 @@
296546
296563
  }
296547
296564
  }
296548
296565
  },
296566
+ "unacceptable": {
296567
+ "description": "Unacceptable",
296568
+ "content": {
296569
+ "application/json": {
296570
+ "schema": {
296571
+ "$ref": "#/components/schemas/basic-error"
296572
+ }
296573
+ }
296574
+ }
296575
+ },
296549
296576
  "scim_bad_request": {
296550
296577
  "description": "Bad request",
296551
296578
  "content": {